Infront Data Manager Connect Client (.NET)

Public Member Functions | List of all members
Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumerManager Class Reference

More...

Inherits Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager, and Gevasys.DataCore.Client.Consumer.Tcp.ITcpConsumerManager.

## Public Member Functions
| TcpConsumerManager (String parentManagerName, IPushClient pushClient, String wsdl, String requestedName, String name, Proxy_Nillable proxy)
TcpConsumer | GetConsumer ()
override bool | Start ()
override void | Stop ()
void | ConsumerStartedCallback (TcpConsumer consumer)
void | SignalConsumerAborted (TcpConsumer consumer, Error.ConsumerError error)
Public Member Functions inherited from Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager
| StreamingConsumerManager (IPushClient pushClient, String name)
| Initializes a new instance of the StreamingConsumerManager class. More...
IPushClient | GetPushClient ()
String | GetName ()
InstrumentList | GetInstruments ()
void | AddInstruments (InstrumentList instruments)
List< string > | GetExchanges ()
void | AddExchange (String Exchange)
void | AddFilterElement (FilterElement filterElement, params FilterElement[] filterElements)
void | AddFilterElement (FilterElement filterElement)
| Adds a FilterElement More...
void | RemoveFilterElement (FilterElement filterElement)
| Removes the FilterElement More...
void | RequestRecaps (InstrumentList instruments)
void | SetOffline ()
void | SetOnline ()
bool | GetIsAlive ()
| Gets the alive state of the IConsumer. More...
void | AddInstrument (String instrument)
void | RemoveExchange (String Exchange)
void | RemoveInstrument (String instrument)
void | RemoveInstruments (InstrumentList instruments)
void | RemoveFilterElement (FilterElement filterElement, params FilterElement[] filterElements)
void | RemoveAll ()
void | SetAsBackup (bool isBackup)
bool | GetIsBackup ()
virtual void | AsyncServiceCallCallback (AsyncServiceCallResult result)
void | Update (IConsumer source, ConsumerStateChangedEventArgs arg)
ConsumerType | GetConsumerType ()
void | SetFieldFilter (List< string > fieldList)
| Sets a list of fields as a data filter for the streaming connection on the server side. Only fields that exists in the field filter will be pushed. More...
void | RemoveFieldFilter ()
| Removes a field filter. More...
void | SubscribeNewsBroadcast ()
void | UnsubscribeNewsBroadcast ()
Public Member Functions inherited from Gevasys.DataCore.Client.Consumer.Tcp.ITcpConsumerManager
void | SignalConsumerAborted (TcpConsumer consumer, ConsumerError error)

## Additional Inherited Members
Protected Member Functions inherited from Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager
void | FireConsumerStateChangedEvent (ConsumerStateChangedEventArgs e)
bool | SubscribePendingInstrumentsForConsumer (IStreamingConsumer consumer, InstrumentList instruments)
bool | SubscribePendingExchangesForConsumer (IStreamingConsumer consumer, List< string > exchanges)
bool | SubscribePendingFilterElementsForConsumer (IStreamingConsumer consumer, List< FilterElement > filterElements)
bool | RecapPendingInstrumentsForConsumer (IStreamingConsumer consumer, InstrumentList instruments)
Protected Attributes inherited from Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager
readonly InstrumentList | instruments
readonly List< string > | exchanges
readonly List< FilterElement > | filterElements
readonly List< FilterElement > | pendingFilterElementsSubscribesForConsumer
readonly InstrumentList | pendingSubscribesForConsumer
readonly List< String > | pendingExchangeSubscribesForConsumer
readonly InstrumentList | pendingRecapsForConsumer
IPushClient | pushClient
StreamingConsumer | consumer
bool | oldAlive = false
Events inherited from Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager
EventHandler< ConsumerStateChangedEventArgs > | OnConsumerStateChanged

## Detailed Description

Represents a manager that manages a TcpConsumer.

## Member Function Documentation

## ◆ Start()

override bool Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumerManager.Start | ( |  | ) |
| inline virtual

Starts the IConsumer.

Returns
  True if successful.

Reimplemented from Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.

## ◆ Stop()

override void Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumerManager.Stop | ( |  | ) |
| inline virtual

Stops the IConsumer.

Reimplemented from Gevasys.DataCore.Consumer.Manager.StreamingConsumerManager.

The documentation for this class was generated from the following file:

- TcpConsumerManager.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1